/* The Monitor
 * Copyright (C) 1998 Oskar Liljeblad
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <gdk/gdkx.h>
#include <gtk/gtk.h>
#include "monitor.h"
#include "ui.h"

#define DEFAULT_WINDOW_WIDTH	200
#define DEFAULT_WINDOW_HEIGHT	100

enum {
	OPT_FOREGROUND = LAST_OPT,
	OPT_NO_FOREGROUND,
	OPT_BACKGROUND,
	OPT_NO_BACKGROUND,
	OPT_FONT,
	OPT_NO_FONT,

	OPT_GEOMETRY,
	OPT_HSCROLLBAR,
	OPT_NO_HSCROLLBAR,
	OPT_VSCROLLBAR,
	OPT_NO_VSCROLLBAR,
	LAST_UI_OPT
};

typedef struct _UIWatch UIWatch;

struct _UIWatch {
	Watch w;
	GdkFont *font;
	GdkColor *fg;
	GdkColor *bg;
	GdkFont *timestamp_font;
	GdkColor *timestamp_fg;
	GdkColor *timestamp_bg;
	gint event_id;
};

#define UIWATCH(x) ((UIWatch *)x)
