/* The Monitor
 * Copyright (C) 1998 Oskar Liljeblad
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef __MONITOR_UI_H__
#define __MONITOR_UI_H__

#include "monitor.h"
#include "util.h"

int monitor_file_event (Watch *);
int monitor_timer (Watch *);
void unmonitor_file_event (Watch *);
void unmonitor_timer (Watch *);

int ui_parse_args_callback(char *, int, struct arg_options *);
int ui_print_line (Watch *, char *, unsigned int, int);
void ui_close_watch(Watch *);

int initialize_ui (int *, char ***);
int enter_ui_mainloop (struct arg_options *);
void exit_ui (void);

extern char *ui_base_name;
extern struct arg_options ui_opts[];

#endif /* __MONITOR_UI_H__ */
