/* The Monitor
 * Copyright (C) 1998 Oskar Liljeblad
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef __MONITOR_UTIL_H__
#define __MONITOR_UTIL_H__

#define ARG_NONE		1
#define ARG_REQUIRED	2
#define ARG_OPTIONAL	4

struct arg_options {
	char *long_name;
	char abbreviation;
	unsigned int flags;
	int exists;
	char *string;
	char *arg_help;
	char *help;
};

typedef int (*arg_parser_callback)(char *, int, struct arg_options *);

int arg_parser (int, char **, struct arg_options *, arg_parser_callback);
int xread(int, void *, size_t);
void fatal(char *);
void *xmalloc(int);
void syslog_time_to_tm (char *, struct tm *);
void printerror(char *, ...);
char *get_whole_line(char **);

#endif /* __MONITOR_UTIL_H__ */
